# Sid Meier's Civilization 4
# Copyright Firaxis Games 2007
# WaterWellEvents
# Water Well Mod By Orion Veteran
# Modular python project to eliminate or reduce merging tasks

from CvPythonExtensions import *
import BugUtil
import BugCore
import CvUtil
import CvScreensInterface
import CvDebugTools
import CvWBPopups
import PyHelpers
import Popup as PyPopup
import CvCameraControls
import CvTopCivs
import sys
import CvWorldBuilderScreen
import CvAdvisorUtils
import CvTechChooser


# globals
gc = CyGlobalContext()


class WaterWellEvents:
	def __init__(self, eventMgr):
# ###############################################################################
#		Important!!!!															#
#		Each function added from CvEventManager.py must be initialized here 	#
# ###############################################################################
		self.__LOG_BUILDING = 0
		self.__LOG_CITYBUILDING = 0
		self.eventMgr = eventMgr
		
		eventMgr.addEventHandler("buildingBuilt", self.onBuildingBuilt)
				
	def onBuildingBuilt(self, argsList):
		'Building Completed'
		pCity, iBuildingType = argsList
		game = gc.getGame()
		
# Water Well		
		if iBuildingType == gc.getInfoTypeForString('BUILDING_WATER_WELL'):
			iX = pCity.getX()
			iY = pCity.getY()
			pPlot = CyMap().plot(iX +0, iY +0)
			pPlot.setFeatureType(gc.getInfoTypeForString("FEATURE_UNDERGROUND_WATER"), 1)		
# End Water Well Mod		
		
		
	